Yarn Issues

While exploring hexo, I ran into a problem installing it.

yarn was aborting the install claiming that there was no --production switch.

A quick check of yarn's version number showed that I was somehow way out of date.

According to yarn's installation directions this was merely a matter of performing a self-update, which yarn also claimed it wasn't able to do, or to install an updated pubkey.gpg and install/update with apt.

These solutions didn't work either.

The problem was that another package, cmdtest, had it's own obsolete copy of yarn.

The solution was simply to uninstall it, then install yarn with apt:

1
2
3
4
5
sudo apt remove cmdtest

curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list
sudo apt-get update && sudo apt-get install yarn